﻿// <auto-generated />
using AlfaDuo.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace AlfaDuo.Infra.Migrations.Rule
{
    [DbContext(typeof(RuleContext))]
    [Migration("20220225134444_Rule")]
    partial class Rule
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("AlfaDuo.Domain.Entities.Rule", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<ulong>("Active")
                        .HasColumnType("bit")
                        .HasColumnName("active");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("VARCHAR(100)")
                        .HasColumnName("description");

                    b.Property<string>("Endpoint")
                        .HasMaxLength(80)
                        .HasColumnType("VARCHAR(80)")
                        .HasColumnName("endpoint");

                    b.Property<string>("Rules")
                        .IsRequired()
                        .HasColumnType("JSON")
                        .HasColumnName("rules");

                    b.Property<ulong>("Synchronous")
                        .HasColumnType("bit")
                        .HasColumnName("synchronous");

                    b.Property<string>("Type")
                        .IsRequired()
                        .HasMaxLength(1)
                        .HasColumnType("VARCHAR(1)")
                        .HasColumnName("type");

                    b.Property<string>("Verb")
                        .HasMaxLength(5)
                        .HasColumnType("VARCHAR(5)")
                        .HasColumnName("verb");

                    b.Property<string>("Version")
                        .IsRequired()
                        .HasMaxLength(4)
                        .HasColumnType("VARCHAR(4)")
                        .HasColumnName("version");

                    b.HasKey("Id");

                    b.ToTable("Rule", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
